﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;
using System.Collections;
using System.IO;
using System.Text;
using System.Web.UI.HtmlControls;
using System.Reflection;
using System.Data.Common;
using System.Configuration;
using System.Data.SqlClient;
using Telerik.Web.UI.GridExcelBuilder;
using System.Linq;


public partial class _Default : Page
{
    protected DataTable GetCourseData()
    {
        DataTable table = new DataTable();
        table.Columns.Add("CourseDate", typeof(DateTime));
        table.Columns.Add("CourseName");

        table.Rows.Add(DateTime.Today, "Course 1");
        table.Rows.Add(DateTime.Today.AddDays(12), "Course 2");
        table.Rows.Add(DateTime.Today.AddDays(6), "Course 3");

        table.Rows.Add(DateTime.Today.AddDays(-11), "Course 4");
        table.Rows.Add(DateTime.Today.AddDays(-15), "Course 5");

        table.Rows.Add(DateTime.Today.AddDays(5), "Course 6");

        return table;
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        foreach (DataRow item in GetCourseData().Rows)
            RadCalendar1.SelectedDates.Add(new RadDate((DateTime)item["CourseDate"]));
    }
}